UNSHIELD(1)

NAME
unshield - extract CAB files from an InstallShield installer archive

SYNOPSIS
unshield [-c COMPONENT] [-d DIRECTORY] [-D LEVEL] [-g GROUP] [-h] [-i VERSION] [-e ENCODING] [-j] [-L] [-O] [-r] [-R] [-V] c|g|l|t|x CABFILE [FILENAME...]

DESCRIPTION
Unshield extracts CAB files from InstallShield installers, used to install software on Microsoft Windows based machines.

OPTIONS

-c COMPONENT
    Only list/extract this component

-d DIRECTORY
    Extract files to DIRECTORY

-D LEVEL
    Set debug log level 0 - No logging (default) 1 - Errors only 2 - Errors and warnings 3 - Errors, warnings and debug messages

-g GROUP
    Only list/extract this file group

-h  Show help message

-i VERSION
    Force InstallShield version number (don't autodetect)
    Use this option if you have a very old archive (generated with InstallShield <= 4) and / or the automatic detection fails

-e ENCODING
    Convert filename character encoding to local codepage from ENCODING (implicitly sets -R)

-j  Junk paths (do not make directories)

-L  Make file and directory names lowercase

-O  Use old compression

-r  Save raw data (do not decompress)

-R  Don't do any conversion to file and directory names when extracting

-V, --version
    Print version information

  Commands:

c   List components

g   List file groups

l   List files

t   Test files

x   Extract files

  Other:

CABFILE
    The file to list or extract contents of

FILENAME
    Optionally specify names of specific files to extract (wildcards are supported)

AUTHOR
This manual page was adapted by Mark Ellis <mark@mpellis.org.uk>, from the skeleton generated by help2man